
#include <bitBangedSPI.h>
#include <Muses72323_softSPI.h>

static Muses72323 Muses(0, 1, 2, 3); // muses chip address (usually 0), dataPin, clockPin, latchPin

void setup() {
  delay(1000);
  Muses.begin();
  Muses.setExternalClock(false);     // must be set!
  Muses.setZeroCrossingOn(true);
  Muses.mute();
  delay(1000);
  setAttenuation(0, 0);              // 0 to -111.75 in 0.25 dB steps
  delay(1000);
  Muses.setVolume(-447, -447);       // 0 to -447
  delay(1000);
  setAttenuation(-8.25, -8.25);
}

void setAttenuation(float dB_left, float dB_right) {
  Muses.setVolume((int16_t)(dB_left / 0.25f), (int16_t)(dB_right / 0.25f));
}

void loop() {}
