#include <bitBangedSPI.h>

bitBangedSPI bbSPI (5, 6, 7); // MOSI, MISO, SCK
const byte mySS =  8;         // slave select

void setup (void) {
  bbSPI.begin ();
  pinMode (mySS, OUTPUT);
}

void loop (void) {
  char c;

  // enable Slave Select
  digitalWrite(mySS, LOW);

  // send test string
  for (const char * p = "Hello, world!" ; c = *p; p++)
    bbSPI.transfer (c);

  // disable Slave Select
  digitalWrite(mySS, HIGH);

  delay (100);
}
